Bug 769523

Summary: [abrt] evolution-data-server-3.2.2-1.fc16: magazine_chain_pop_head: Process /usr/libexec/e-addressbook-factory was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Chandana De Silva <chandana>
Component: evolution-data-serverAssignee: Matthew Barnes <mbarnes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: mbarnes, mcrha, plambri, sgallagh
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:7bc92b5897237abcfdd4dad53c58ac51d18b34df
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 11:38:10 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: dso_list
none
File: maps
none
File: backtrace
none
As requested in https://bugzilla.redhat.com/show_bug.cgi?id=769523#c4
none
File: backtrace none

Description Chandana De Silva 2011-12-21 02:31:52 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/libexec/e-addressbook-factory
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/e-addressbook-factory
kernel:         3.1.5-6.fc16.x86_64
pid:            4696
pwd:            /
reason:         Process /usr/libexec/e-addressbook-factory was killed by signal 11 (SIGSEGV)
time:           Wed 21 Dec 2011 11:18:32 AM EST
uid:            1000
username:       chandana

backtrace:      Text file, 53420 bytes
dso_list:       Text file, 6822 bytes
maps:           Text file, 31814 bytes

build_ids:
:80d1527bdbaa66a7f4467a3432a25332fb76758a
:16053224897d5961128b8819407b87a74957908a
:bfa713fda01e5880fdba7387f6053e350dcf9738
:93364c86bf2f54aa5a2f1a700ca2166aef574f1f
:3ed9e61c2b7e707ce244816335776afa2ad0307d
:aa733447f84020c94a66814e501a36e248cbb43d
:34b7964512e7197292839abae625453763c6f25b
:dcef47a6e015071bb788871cb6cb197d166fc2f8
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:7f61fb1b16866dcb14575dfc5dda295a8c416071
:87461d97d0ba0bd94e4d74ff0879190b67b326c5
:e21d62a3622c3edb824299d83be75df8fdddbe53
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:ab59942678bcdecb23756804dcd0aac63ccc1669
:7947878389f6a313c0b930260e12fd44bd6746fc
:17ef36c4f4e8918b9ab1c2e3eaca7c9b584ad5cb
:086b8d05a2fb6992634d2e22e69d7aefe16cf390
:9b36eee79f50b968c4582c73692f0c2d91385be2
:30af62b93e2ab7dbaf39c52e346cd52101b4b590
:e002e6f692473d7ae6549f1ae42926d5b5e3398e
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:701c8cd759f655fae8c102c779740becb24ee061
:638db099ff5fb986d1a092629d1bb1dca5be4904
:e5429e0905bedecc534b057783916ba43e06a66e
:b520dba85e987a6e66449eaf57c7fc5b21acb333
:a2748a35d28f083d729359d9c06bc85158408ee3
:c6739204320eb15bdcdba039a2b183298170403e
:8264e35452b2a930c1b9b092b87f32d42d69d8c5
:08bf94ada10df76cac3eb5485f19d48b9730e203
:0406dc93e5d067b98e166932201a6df7dde67888
:d8b26823ae85343e974130aa7fb18f8e7a8f6c3d
:7109859fdd4912a7b36eea239079fd72b5575d18
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:de59715846d228b19cc9d61c82af83c1395acae1
:4953d1f613914126bccceb3cb96386647ffba9df
:cfd6e064ee1dde01516f4a3bb8b2b52e155464ad
:30208e0b20e44d2ff5a27b7ce643cfd03f307b4a
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:376567a97a463859c28334ed8bf71262183298c2
:c953cbce426d612e0a04f33a1c43aae08680c700
:be507c791e34415e8f42f0e6030c889b2895cf9a
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:162e7de5d553b39188a8e39ab7bc40cf6072a901
:b0eabf9093defbfdd0857ea3ed1a4563b743434e
:b492837dde7c9f97bee3e688aa7a2eb39ed1666a
:e2e67b3ae2579e1667b73ad385f61552931024e9
:88c273fb9c6869c8e7a2c4ef8e1a8f10b50d1b49
:89017ab0b75e533e4294f74ee8f7db3daceea536
:34968f9aed7f031bcd801c4516f4eb68127ca239
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:74ae88173658854383370d76513e8146f1b5e933
:29c869a877c1ceade9538f84f5ec70c3901b66b3
:83cb4627bed5c756d4e6f23badf8a6b4b042f4e6
:e5d7ac2dfe435e205e491f7ce827563859fca4f4
:e567a4b498aa9dfc484575e666a17925f0944318
:0949b493f01e0553822be3bd14def9dbe79b804f
:3e2404bd469800afd61eda83d0292a2165ef0db0
:c81f03cf64b912fe473d4f12bf5889125825dcc4
:921b64859b34786348daf376801c05efbf9bac81
:202a875ea0fbf03fbf53345f8e333d923d9b6fc9
:6c827aed0fb6c93acb6c2329a62f452ff83e9052
:37c84b700d36cedd486ab4259d4fb8cd34eb0d6b
:30d222cbaa7087ff6613d2737d967fc570ec8a72
:15c25336f081a938b4c7bdc13478f620c614242d
:545fac2346ca24589041213956b7f22f7e91c139
:650b733aecfb9c46bdfc023661f19244a278df04
:e02146cbd7b3747790cf4808baa58dc78c2e0042
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:1bdafc3d69c38e71f953133d77c2e17f6c38d0cf
:daec0ba0ef53c9f6c098d2b47f5974fa82aff498
:88d586ed67ebe5227b761b4ab2e02433f29c840f
:38cc9759fa35484f171a9905448e4a946eaa48d9
:df8e8e6d51fc9736c06237ef2c62e4f9c0f057c6

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-AHuDMnkECa,guid=eafdf69f6c6bd47a1b5f3f70000007b5
:XDG_SESSION_COOKIE=63c8e694c7d81160555d76230000000c-1324420276.356794-1564833478
:XDG_RUNTIME_DIR=/run/user/chandana
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/tmp/keyring-TaN3Pt/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3579,unix/unix:/tmp/.ICE-unix/3579
:WINDOWPATH=2
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=2
:USERNAME=chandana
:XDG_SESSION_ID=5
:GPG_AGENT_INFO=/tmp/keyring-TaN3Pt/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-AHuDMnkECa,guid=eafdf69f6c6bd47a1b5f3f70000007b5
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-chandana-BCXXkD/database
:USER=chandana
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=3575
:SHLVL=1
:GDM_LANG=en_US.utf8
:PWD=/home/chandana
:GNOME_KEYRING_CONTROL=/tmp/keyring-TaN3Pt
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=chandana
:HOME=/home/chandana

smolt_data:
:
:
:General
:=================================
:UUID: d5a67d92-3763-4f49-91f5-05f19134d29d
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4389.90
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2201
:System Memory: 7867
:System Swap: 9983
:Vendor: Dell Inc.
:System: Latitude E6520 01
:Form factor: Laptop
:Kernel: 3.1.5-6.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:260:4136:1172) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:257:4136:1172) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(4631:5111:4136:1172) pci, firewire_ohci, FIREWIRE, N/A
:(4631:33569:4136:1172) pci, sdhci-pci, BASE, N/A
:(4631:33585:4136:1172) pci, None, STORAGE, N/A
:(32902:7202:4136:1172) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:10282:4136:1172) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:7247:4136:1172) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:5378:4136:1172) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7188:4136:1172) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7213:4136:1172) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1172) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:4136:1172) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:130:32902:4897) pci, iwlagn, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:294:4136:1172) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1172) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1172) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1172) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4136:1172) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4318:3592:4136:5268) pci, snd_hda_intel, MULTIMEDIA, HDMI Audio stub
:(4318:4182:4136:5268) pci, nouveau, VIDEO, GF108 [Quadro NVS 4200M]
:(32902:7194:4136:1172) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 12901535 11313773 11182751 3276800 3084383 3084383
:/dev/sda2 /boot ext4 1024 1024 495844 409402 383802 128016 127741 127741
:/dev/sda5 /home ext4 4096 4096 15223351 12861500 12088150 3874176 3720234 3720234
:

var_log_messages:
:Dec 21 08:58:50 localhost abrt[2372]: Saved core dump of pid 2335 (/usr/libexec/e-addressbook-factory) to /var/spool/abrt/ccpp-2011-12-21-08:58:50-2335 (63811584 bytes)
:Dec 21 09:21:00 localhost abrt[3177]: Saved core dump of pid 2381 (/usr/libexec/e-addressbook-factory) to /var/spool/abrt/ccpp-2011-12-21-09:21:00-2381 (41861120 bytes)
:Dec 21 09:31:18 localhost abrt[3923]: Saved core dump of pid 3885 (/usr/libexec/e-addressbook-factory) to /var/spool/abrt/ccpp-2011-12-21-09:31:18-3885 (54878208 bytes)
:Dec 21 11:18:32 localhost abrt[6099]: Saved core dump of pid 4696 (/usr/libexec/e-addressbook-factory) to /var/spool/abrt/ccpp-2011-12-21-11:18:32-4696 (46903296 bytes)
Comment 1 Chandana De Silva 2011-12-21 02:31:55 EST
Created attachment 548990 [details]
File: dso_list
Comment 2 Chandana De Silva 2011-12-21 02:31:58 EST
Created attachment 548991 [details]
File: maps
Comment 3 Chandana De Silva 2011-12-21 02:32:00 EST
Created attachment 548992 [details]
File: backtrace
Comment 4 Milan Crha 2011-12-21 04:28:30 EST
Thanks for a bug report. You've linked this bug from bug #675796. Let's investigate it here first. Bug #675796 comment #7 has a valgrind log, which shows memory issue while doing e_name_western_parse, somewhere in libebook. It's possible that this caused your issue, but the valgrind backtrace misses debug symbols, which may help significantly with identification of the issue. Could you install debuginfo packages for evolution-data-server and evolution and update the valgrind log, please? Make sure the version numbers of the binary package and the debuginfo package are the same. You can check that with:
   $ rpm -q evolution evolution-debuginfo evolution-data-server \
        evolution-data-server-debuginfo

Thanks in advance.
Comment 5 Chandana De Silva 2011-12-21 05:32:23 EST
The RPM versions are the same
[chandana@fatta ~]$ rpm -q evolution evolution-debuginfo evolution-data-server \
>         evolution-data-server-debuginfo
evolution-3.2.2-1.fc16.x86_64
evolution-debuginfo-3.2.1-1.fc16.x86_64
evolution-data-server-3.2.2-1.fc16.x86_64
evolution-data-server-debuginfo-3.2.1-1.fc16.x86_64
Comment 6 Chandana De Silva 2011-12-21 05:37:29 EST
Created attachment 549004 [details]
As requested in https://bugzilla.redhat.com/show_bug.cgi?id=769523#c4
Comment 7 Milan Crha 2011-12-22 03:25:07 EST
Thanks for the update. I see that versions do not match, your binary package version is 3.2.2, but the debug info is 3.2.1, which explains why there are missing debug informations from the evolution-data-server/evolution sources. Run this as root, please:
   $ yum --enablerepo=updates-debuginfo update evolution-debuginfo \
      evolution-data-server-debuginfo
that will bring in debug info packages of 3.2.2 version.

The updated valgrind log doesn't contain a crash. It exhibits an issue with GConf:
> (e-addressbook-factory:15849): GConf-WARNING **: Got Disconnected from DBus.
> 
> GConf warning: failure listing pairs in `/apps/evolution/shell/
> network_config': Configuration server couldn't be contacted: D-BUS error:
> Connection was disconnected before a reply was received

but otherwise the crash didn't occur, for some reason.
Comment 8 Pierguido Lambri 2012-01-18 03:24:59 EST
Declined an invitation

backtrace_rating: 4
Package: evolution-data-server-3.2.3-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 9 Pierguido Lambri 2012-01-18 03:25:03 EST
Created attachment 555949 [details]
File: backtrace
Comment 10 Nathan Crubel 2012-07-26 10:56:00 EDT
I went over a meeting notice email.

backtrace_rating: 4
Package: evolution-data-server-3.4.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Matthew Saltzman 2012-08-16 12:42:37 EDT
I received an e-mail with an appointment at abou t the time of this crash, but I don't know if there is a direct causal connection.

backtrace_rating: 4
Package: evolution-data-server-3.4.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Fedora End Of Life 2013-01-16 10:16:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora End Of Life 2013-02-13 11:38:13 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.